### Function

# Gimp ModuleRegisterFunc

#### Declaration

    gboolean
    (* GimpModuleRegisterFunc) (
      GTypeModule* module
    )

#### Description [src]

The signature of the register function a loadable GIMP module must implement. In the module, the function must be called `gimp_module_register()`.

When this function is called, the module should register all the types it implements with the passed `module`.

#### Parameters

`module`

  Type: `GTypeModule`

  The module responsible for this loadable module.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the registration was successful.